<?php
$title = 'Тикеты администрации';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user) || $user['id'] != 1){
header('Location: /');
exit;
}
switch($_GET['act']) {
default:
echo '<div class="top">Админ просмотр тикетов</div>';
echo '<div class="box"><a href="?act=new">>> Создать тикет</a></div>';
/*Настройка вывода*/
if(isset($_POST['coder'])){
if($_POST['open'] < 1 && $_POST['open'] > 4) msg('Ошибка выбора');
$_SESSION['status'] = intval($_POST['open']);
exit(header('location: ?'));
}
$rang = array('1' => 'Технический отдел','2' => 'Отдел продаж','3' => 'Жалоба','4' => 'Дополнительные услуги');
$stat = array('0' => 'Закрытый тикет','1' => 'Новое сообщение','2' => 'В ожидании ответа');
echo '<div class="post" style="text-align:center;"><form action="" method="POST"> Вывод по <br /><select name="open">';
$tab = array('1' => 'Все тикеты','2' => 'Только открытые','3' => 'Новые сообщения','4' => 'За которыми сляжу');
foreach($tab as $key => $cod){
echo ' <option value="'.$key.'">'.$cod.'</option>'; 
}
echo '<br /><input type="submit" value="Выбрать" name="coder"/> </form></select></div>';
/*End*/
if($_SESSION['status'] == 3) $where = "WHERE `status` = '2'";
elseif($_SESSION['status'] == 2) $where = "WHERE `stat` > '0'";
elseif($_SESSION['status'] == 4) $where = "WHERE `ved` = '".$user['id']."'";
$k_post = $db->prepare("SELECT * FROM `tikets` ".$where."");
$k_post -> execute();
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="box"><center>Обращения в тех.поддержку отсутствуют </center></div><?
}
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `tikets` ".$where." ORDER BY `time` DESC LIMIT $start, $max");
$all -> execute();
$all = $all -> fetchAll();
foreach($all as $a){
$times = vremja($a['time']);
$rng = $rang[$a['kat']];
$st = $stat[$a['stat']];
$rv = array('1'=>'Низкая','2'=>'Средняя','3'=>'Высокая');
$Importance = $rv[$a['vazh']];
echo "<div class='box'>{$a['id']}) <b>Название тикета : </b> {$a['name']} [{$times}]<br /><b>Кому адресовано : </b> {$rng}<br /><b>Статус : </b> {$st} [{$Importance}]<br />
<div style='text-align:center;'><a href='/my/tikets/info_{$a['id']}.aspx'><button type='button' class='btn btn-success'>Перейти к тикету</button></a></div>
</div>";
}
if($k_page>1) echo str('?',$k_page,$page); 
break;
case 'new';
echo '<div class="top">Создание тикета к пользователю</div>';
if (isset($_REQUEST['submit'])) {
$id_user = htmlspecialchars(trim($_POST['id_user']));
$name = htmlspecialchars(trim($_POST['name']));
$text = htmlspecialchars(trim($_POST['text']));
$kat = htmlspecialchars(trim($_POST['kat']));
$vazh = htmlspecialchars(trim($_POST['vazh']));
if (empty($text)) $msg = ('Текст сообщения не заполнен!');
if (empty($name)) $msg = ('Название сообщения не заполнен!');
if (mb_strlen($text) > 99999 or mb_strlen($text) < 5) $msg = ('Введите текст сообщения от 5 до 99999 символов!');
if(isset($msg)){
    /*Если есть ошибки*/
$_SESSION['message'] = $msg;
exit(header('Location: ?'));
}else{
$sql = $db->prepare('INSERT INTO `tikets` SET `name` = ?,`time` = ?,us = ?,ved = ? , stat = ?, vazh = ?, kat = ?');
$sql -> execute([$name,time(),$id_user,$us->id,1,$vazh,$kat]);
$id = $db->lastInsertId();
$sql = $db->prepare('INSERT INTO `tikets_msg` SET `us` = ?,`text` = ?,`time` = ?,`id_tik` = ?');
$sql -> execute([$user['id'],$text,time(),$id]);
exit(header('Location: /my/tikets/info_'.$id.'.aspx'));
}
}
$rang = array('1' => 'Технический отдел','2' => 'Отдел продаж','3' => 'Жалоба','4' => 'Дополнительные услуги');
$rv = array('1'=>'Низкая','2'=>'Средняя','3'=>'Высокая');
echo '
<div class="box"><form action="" method="POST">
Название :<br /><input type="text" class="form-control" name="name"> <br />
ID пользователя (Кому отправляем тикет) :<br /><input type="text" class="form-control" name="id_user"> <br />
Текст :<br /><textarea class="form-control" name="text"></textarea><br />
Важность :</br> <select class="form-control" name="vazh">';
foreach($rv as $id => $do){
echo "<option value='{$id}'>{$do}</option>";
}
echo '</select></br>
Категория : </br> <select class="form-control" name="kat">';
foreach($rang as $id => $do){
echo "<option value='{$id}'>{$do}</option>";
}
echo '</select></br>
<input type="submit" name="submit" value="Сохранить">
</form></div>';
break;
}
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');